Skip to main content
`Ctrl`+`K`

# pandas.core.window.ewm.ExponentialMovingWindow.var

ExponentialMovingWindow.var(bias=False, numeric_only=False)

  Calculate the ewm (exponential weighted moment) variance.

  Parameters:
    bias bool, default False

      Use a standard estimation bias correction.

    numeric_only bool, default False

      Include only float, int, boolean columns.

      Added in version 1.5.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.ewm`

    Calling ewm with Series data.

  `pandas.DataFrame.ewm`

    Calling ewm with DataFrames.

  `pandas.Series.var`

    Aggregating var for Series.

  `pandas.DataFrame.var`

    Aggregating var for DataFrame.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4])
      >>> ser.ewm(alpha=.2).var()
      0         NaN
      1    0.500000
      2    0.991803
      3    1.631547
      dtype: float64